## dods.dap.parser
Class DDSParser

    java.lang.Object
      dods.dap.parser.DDSParser

All Implemented Interfaces:
  DDSParserConstants

public class DDSParser
extends Object
implements DDSParserConstants

Nested Class Summary
`(package private) static class` `DDSParser.JJCalls`

Field Summary
`(package private) SimpleCharStream` `jj_input_stream`
`Token` `jj_nt`
`boolean` `lookingAhead`
`Token` `token`
`DDSParserTokenManager` `token_source`

Fields inherited from interface dods.dap.parser.DDSParserConstants
`BYTE, DATASET, DEFAULT, EOF, FLOAT32, FLOAT64, GRID, INT16, INT32, LIST, SEQUENCE, STRING, STRUCTURE, tokenImage, UINT16, UINT32, URL, WORD`

Constructor Summary
`DDSParser(DDSParserTokenManager tm)`
`DDSParser(InputStream stream)`
`DDSParser(Reader stream)`

Method Summary
`void` `ArrayDecl()`
`String` `BaseType()`
`void` `Dataset(DDS dds, BaseTypeFactory factory)`
`void` `Declaration()`
`void` `Declarations()`
`void` `disable_tracing()`
`void` `enable_tracing()`
`(package private) void` `error(String msg)`
`ParseException` `generateParseException()`
`Token` `getNextToken()`
`Token` `getToken(int index)`
`String` `Grid()`
`String` `List()`
`void` `Name()`
`String` `NonListDecl()`
`void` `ReInit(DDSParserTokenManager tm)`
`void` `ReInit(InputStream stream)`
`void` `ReInit(Reader stream)`
`String` `Sequence()`
`String` `Structure()`
`String` `Var()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### token_source

    public DDSParserTokenManager token_source

### jj_input_stream

    SimpleCharStream jj_input_stream

### token

    public Token token

### jj_nt

    public Token jj_nt

### lookingAhead

    public boolean lookingAhead

Constructor Detail

### DDSParser

    public DDSParser(InputStream stream)

### DDSParser

    public DDSParser(Reader stream)

### DDSParser

    public DDSParser(DDSParserTokenManager tm)

Method Detail

### Dataset

    public final void Dataset(DDS dds,
                              BaseTypeFactory factory)
                       throws ParseException,
                              DDSException

  Throws:
    `ParseException`
    `DDSException`

### Declarations

    public final void Declarations()
                            throws ParseException,
                                   DDSException

  Throws:
    `ParseException`
    `DDSException`

### Declaration

    public final void Declaration()
                           throws ParseException,
                                  DDSException

  Throws:
    `ParseException`
    `DDSException`

### NonListDecl

    public final String NonListDecl()
                             throws ParseException,
                                    DDSException

  Throws:
    `ParseException`
    `DDSException`

### List

    public final String List()
                      throws ParseException

  Throws:
    `ParseException`

### Structure

    public final String Structure()
                           throws ParseException

  Throws:
    `ParseException`

### Sequence

    public final String Sequence()
                          throws ParseException

  Throws:
    `ParseException`

### Grid

    public final String Grid()
                      throws ParseException

  Throws:
    `ParseException`

### BaseType

    public final String BaseType()
                          throws ParseException

  Throws:
    `ParseException`

### Var

    public final String Var()
                     throws ParseException,
                            DDSException

  Throws:
    `ParseException`
    `DDSException`

### ArrayDecl

    public final void ArrayDecl()
                         throws ParseException,
                                DDSException

  Throws:
    `ParseException`
    `DDSException`

### Name

    public final void Name()
                    throws ParseException,
                           DDSException

  Throws:
    `ParseException`
    `DDSException`

### error

    void error(String msg)
         throws ParseException,
                DDSException

  Throws:
    `ParseException`
    `DDSException`

### ReInit

    public void ReInit(InputStream stream)

### ReInit

    public void ReInit(Reader stream)

### ReInit

    public void ReInit(DDSParserTokenManager tm)

### getNextToken

    public final Token getNextToken()

### getToken

    public final Token getToken(int index)

### generateParseException

    public final ParseException generateParseException()

### enable_tracing

    public final void enable_tracing()

### disable_tracing

    public final void disable_tracing()